/*==============================================
////////// ush full toools
==============================================*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body {

    ul li {
        list-style: none;
    }

    a {
        text-decoration: none;
    }




    .btn {
        padding: 10px 25px;
        box-shadow: 0 0 1px 1px;
        border-radius: 5px;
        transition: all 0.3s ease;
        border: 3px double;
    }

    .btnf {
        background-color: #4da3ff;
        color: #ffffff;
    }

    .btns {
        background-color: transparent;
        color: #4da3ff;
    }

    .btn:hover {
        /* transform: translateY(-6px) scale(1.03); */
        transform: translateY(-0px);

        border-color: rgba(255, 255, 255, 0.3);
        filter: brightness(1.05);
        border: 3px dotted transparent;
    }





}


.page-title {
    display: inline-block;
    padding: 8px 18px;
    border-radius: 50px;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 20px;
    box-shadow: 0 0 2px;

}











/* ==================================================
////////////      User  heder            ////////////
==================================================== */

header {
    padding: 0px 5px;
    background-color: var(--bg-color);
    color: var(--text-color);

    position: fixed;
    width: 100%;
    top: 0;
    z-index: 999;
    box-shadow: 0 0 5px;


    .header {
        max-width: 1500px;
        margin: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 5px 25px;
    }

    .header ul {
        display: flex;
        gap: 20px;
    }

    .header li {
        list-style: none;
    }

    .header a {
        color: var(--text-color);
    }

    .hader-manu {
        display: flex;
        gap: 15px;
        list-style: none;
        align-items: center;
    }


    .header-nav {
        margin-right: 40px;

    }

    .menu-toggle {
        display: none;
        font-size: 24px;
        background: none;
        border: none;
        cursor: pointer;
    }

    #langBtn {
        padding: 5px 15px;
    }

    #theme-toggle {
        font-size: 20px;
        padding: 0px 12px;
        cursor: pointer;
        list-style: none;
    }

    #account {
        width: 45px;
        height: 45px;
        border-radius: 50%;
        overflow: hidden;
        cursor: pointer;
        background-color: aqua;
    }

    #account img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transform: scale(1.4);
    }



    .menu-toggle {

        display: none;
        font-size: 28px;
        background: transparent;
        border: none;
        cursor: pointer;
        z-index: 1001;
    }

    @media (max-width: 768px) {


        header {
            margin: 0;
            padding: 0;
        }

        .header {
            padding: 5px 15px;
            border: 0px solid;
        }

        .header-nav {
            margin-right: 30px;

        }

        .menu-toggle {
            display: block;
        }


        .hader-manu {
            display: flex;
            gap: 5px;
            list-style: none;
            align-items: center;
        }




        .menu-toggle {
            display: block;
        }


        .header-nav {
            position: fixed;
            top: 0;
            right: -100%;
            width: 260px;
            height: 100vh;
            background: #111;
            transition: 0.4s ease;
            z-index: 1000;
            padding-top: 90px;
        }

        .header-nav.show {
            right: -35px;
        }

        .header-nav ul {
            display: flex;
            flex-direction: column;
            gap: 20px;
            padding: 0 25px;
            margin: 0;
            list-style: none;
        }

        .header-nav ul li a {
            color: #fff;
            text-decoration: none;
            font-size: 18px;
            font-weight: 500;
            display: block;
            padding: 10px 0;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        }

        /* Background Overlay */
        .header-nav::before {
            content: "";
            position: fixed;
            inset: 0;
            background: rgba(0, 0, 0, 0.5);
            opacity: 0;
            visibility: hidden;
            transition: 0.3s;
            z-index: -1;
        }

        .header-nav.show::before {
            opacity: 1;
            visibility: visible;
        }
    }





}








/*=======================================================
////////////      User  Footer             /////////////
========================================================*/

footer {
    background: #111;
    color: #fff;


    .footer {
        padding: 15px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        gap: 10px;
        font-size: 14px;
        max-width: 1500px;
        margin: auto;
    }

    .footer a {
        color: #4da3ff;
        text-decoration: none;
    }

    .footer a:hover {
        text-decoration: underline;
    }

    .footer-left,
    .footer-right {
        opacity: 0.9;
    }



    @media (max-width: 600px) {
        .footer {
            flex-direction: column;
            text-align: center;
        }
    }
}







/*=============================================================
/////////////    User hero section                     ////////
==============================================================*/


article {
    width: 100%;
    height: 100%;
    margin-top: 100px;


    .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        margin: auto;
        padding: 100px 4%;
    }

    .hero-left {
        flex: 1;
        min-width: 300px;
        padding-right: 20px;
    }


    .hero-left h1 {
        font-size: 1.1rem;
        font-weight: 500;
        margin-bottom: 10px;
        padding: 10px;
    }


    .hero-left h2 {
        font-size: 4.8vw;
        font-weight: 800;
        perspective: 900px;
        line-height: 1.1;
        margin-bottom: 20px;
    }


    .hero-left span {
        color: var(--tital);
        text-shadow: 0 0 3px;
    }


    .sub {
        margin-top: 15px;
        opacity: 0.9;
        font-size: 1.2rem;
        line-height: 1.6;
        margin-bottom: 10px;
    }

    .hero-btn-box {
        margin-top: 40px;
        display: flex;
        gap: 20px;
    }

    .hero-btn-box li {
        list-style: none;
    }

    .hero-right {
        flex: 1;
        display: flex;
        min-width: 300px;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .status-box {
        width: 45vh;
        padding: 15px 25px;
        border-radius: 12px 12px 0 0;
        background: #111;
        background: #0f172a;
        color: #fff;
        font-family: Arial, sans-serif;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
    }


    .status-header {
        display: flex;
        align-items: center;
        gap: 8px;
        margin-bottom: 10px;
    }


    .dot {
        width: 10px;
        height: 10px;
        border-radius: 50%;
    }

    .online {
        background: #00ff88;
    }

    .panding {
        background: yellow;
    }

    .offline {
        background: red;
    }



    .status-text {
        font-weight: bold;
    }

    .status-details p {
        font-size: 13px;
        margin: 4px 0;
    }


    .card3d {
        width: 45vh;
        height: 45vh;
        background: #0f172a;
        border-radius: 0 0 25px 25px;
        border: 1px solid rgb(0, 100, 255)66;
        box-shadow: 0px 0px 40px rgb(0, 100, 255)44;
        display: flex;
        align-items: center;
        justify-content: center;
        perspective: 1000px;
        transition: transform 0.2s ease-out;

    }

    .cube {
        width: 35vh;
        height: 35vh;
        background: linear-gradient(135deg, rgb(0, 100, 255)80, #003bff80);
        border: 2px solid rgb(0, 100, 255);
        border-radius: 20px;
        box-shadow: 0 0 25px rgb(0, 100, 255)88, inset 0 0 20px rgb(0, 100, 255)44;
        animation: float 3s ease-in-out infinite alternate;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .cube img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 18px;

    }


    .social-icons {
        gap: 40px;
        margin-top: 40px;
    }

    .social-icons a {
        margin: 0 8px;
        color: var(--btn);

        padding: 10px;
        font-size: 12px;
        box-shadow: 0 0 1px;
        border-radius: 10px;
    }

    .social-icons a:hover {
        border: 2px dotted;

    }



    @keyframes float {
        0% {
            transform: translateY(-15px) rotateY(0deg);
        }

        100% {
            transform: translateY(15px) rotateY(25deg);
        }
    }



    @media (max-width: 1024px) {
        .hero {
            padding: 50px;
        }


        @media (max-width: 768px) {
            .hero {
                flex-direction: column;
                padding: 30px;
                justify-content: center;
                gap: 50px;
            }

            .hero-left {
                padding-right: 0;
            }

            .hero-left h2 {
                font-size: 11vw !important;
                line-height: 1.1;
                margin-bottom: 20px;
            }

            .card3d {
                width: 280px;
                height: 280px;
            }

            .status-box {
                width: 280px;
            }

            .cube {
                width: 160px;
                height: 160px;
            }

            .hero-btn-box {
                gap: 15px;
            }



            @media (max-width: 480px) {


                .title-3d {
                    font-size: 2.5rem;
                }

                .sub {
                    font-size: 1rem;
                }

                .card3d {
                    width: 280px;
                    height: 300px;
                }

                .cube {
                    width: 200px;
                    height: 200px;
                }

                .hero-btn-box {
                    gap: 12px;
                }
            }


        }
    }


}












/*==============================================
/////// alll section importan   //////
=================================================*/


.section {
    max-width: 1550px;
    margin: auto;
    padding: 100px 5%;
}


section {
    margin: auto;
}


.section-title {
    text-align: center;
    margin-bottom: 50px;
}

.section-title h2 {
    font-size: clamp(1.8rem, 5vw, 2.5rem);
    margin-bottom: 10px;
}

.section-title p {
    color: #666;
}






/*============================================
/////////////    user about         /////////
=============================================*/

.about-section {
    width: 100%;

    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;

    .about-container {
        max-width: 1300px;
        margin: auto;

        display: flex;
        align-items: center;
        justify-content: center;
        gap: 70px;
        flex-wrap: wrap;
    }

    .about-image {
        flex: 1 1 350px;
        max-width: 420px;
        height: 500px;
        overflow: hidden;
    }

    .about-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 30px;
    }



    .about-content {
        flex: 1 1 500px;
    }

    .about-tag {
        display: inline-block;
        padding: 8px 18px;
        border-radius: 50px;
        font-size: 14px;
        font-weight: 600;
        margin-bottom: 20px;
        box-shadow: 0 0 2px;
    }

    .about-content h2 {
        font-size: clamp(2rem, 5vw, 3.5rem);
        margin-bottom: 20px;
    }

    .about-content p {
        font-size: 1rem;
        line-height: 1.9;
        opacity: 0.6;
        margin-bottom: 35px;
    }


    .about-info {
        display: flex;
        gap: 20px;
        flex-wrap: wrap;
        margin-bottom: 40px;
    }

    .info-box {
        flex: 1 1 150px;
        padding: 25px;
        border-radius: 20px;
        box-shadow: 0px -2px 5px;
        transition: 0.3s;
    }


    .info-box:hover {
        transform: translateY(-8px);
    }

    .info-box h3 {
        font-size: 1.1rem;
        margin-bottom: 10px;
    }

    .info-box span {
        color: var(--btn, #0077ff);
        font-weight: 500;
    }

    .about-buttons {
        display: flex;
        gap: 15px;
    }



    @media(max-width:1270px) {
        .about-image {
            display: none;
        }
    }

    @media(max-width:768px) {



        .about-section {
            padding: 70px 5%;
        }

        .about-content {
            text-align: center;
        }

        .about-info {
            justify-content: center;
        }

        .about-buttons {
            justify-content: center;
        }


    }
}














/* ==========================================================
///////////////    haproven-section               //////////
=========================================================== */


.haproven-section {




    .haproven-container {
        max-width: 1300px;
        margin: auto;

        display: grid;
        grid-template-columns: 1.2fr 1fr;
        gap: 40px;
        align-items: center;
    }

    .haproven-left h3 {
        font-size: clamp(2rem, 4vw, 3rem);
        margin: 20px 0 10px;
        line-height: 1.2;
    }

    .haproven-left h4 {
        color: #00bcd4;
        font-size: 1.1rem;
        margin-bottom: 20px;
        font-weight: 500;
    }

    .haproven-left p {
        line-height: 1.9;
        font-size: 1rem;
        max-width: 600px;
    }

    .work-badge {
        display: inline-block;
        padding: 10px 20px;
        border: 1px solid;
        border-radius: 50px;
        color: #00bcd4;
        font-size: 0.9rem;
        font-weight: 600;
        letter-spacing: 1px;
    }

    .haproven-right {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .info-card {
        padding: 30px 25px;
        border: 1px solid;
        border-radius: 24px;
        transition: 0.4s ease;
    }

    .info-card:hover {
        transform: translateY(-8px);
        border-color: #00bcd4;
    }

    .info-card h5 {
        font-size: 0.95rem;
        margin-bottom: 15px;
        font-weight: 500;
    }

    .info-card span {
        font-size: 2rem;
        font-weight: 700;
    }



    @media (max-width: 900px) {

        .haproven-container {
            grid-template-columns: 1fr;
        }

        .haproven-right {
            grid-template-columns: 1fr 1fr;
        }
    }

    @media (max-width: 600px) {

        .haproven-section {
            padding: 80px 15px;
        }

        .haproven-right {
            grid-template-columns: 1fr;
        }

        .info-card span {
            font-size: 1.7rem;
        }

        .haproven-left h3 {
            font-size: 2rem;
        }
    }
}













/*============================================================
////////////////     user experience              ///////////
=============================================================*/

.experience-section {
    position: relative;

    .section-title {
        text-align: center;
        margin-bottom: 70px;
    }



    .section-title h2 {
        font-size: clamp(2rem, 5vw, 3rem);
        margin: 10px 0;
    }


    .section-title p {
        max-width: 600px;
        margin: auto;
        line-height: 1.7;
        font-size: 1rem;
    }

    .timeline {
        position: relative;
        max-width: 1300px;
        margin: auto;
        padding-left: 40px;
    }

    .timeline::before {
        content: "";
        position: absolute;
        left: 10px;
        top: 0;
        width: 3px;
        height: 100%;
        border-radius: 10px;
        background: var(--btn, #0077ff);

    }

    .experience-item {
        position: relative;
        margin-bottom: 40px;
    }

    .timeline-dot {
        position: absolute;
        left: -38px;
        top: 25px;
        width: 18px;
        height: 18px;
        border: 4px solid;
        border-radius: 50%;
        box-shadow: 0 0 15px;
        z-index: 2;
    }

    .experience-card {
        backdrop-filter: blur(10px);
        box-shadow: 0 0 3px;
        border-radius: 20px;
        padding: 30px;
        transition: 0.4s ease;
    }

    .experience-card:hover {
        border: 1px solid;
        transform: translateY(-8px);
        box-shadow: 0 15px 40px rgba(0, 188, 212, 0.15);
    }

    .experience-year {
        display: inline-block;
        background: var(--btn, #00bcd4);
        padding: 8px 16px;
        border-radius: 50px;
        font-size: 0.9rem;
        font-weight: 600;
        margin-bottom: 20px;
    }

    .experience-content h3 {
        font-size: 1.4rem;
        margin-bottom: 8px;
    }

    .experience-content h4 {
        font-size: 1rem;
        margin-bottom: 15px;
        font-weight: 500;
    }

    .experience-content p {
        line-height: 1.8;
        font-size: 0.95rem;
    }



    @media (max-width: 768px) {

        .timeline {
            padding-left: 25px;
        }

        .timeline::before {
            left: 0;
        }

        .timeline-dot {
            left: -8px;
        }

        .experience-card {
            padding: 22px;
        }

        .experience-content h3 {
            font-size: 1.2rem;
        }
    }
}










/* ===================================================== 
///////           
=======================================================*/


.skills-section {
    font-family: 'Poppins', sans-serif;

    .section-title {
        text-align: center;
        margin-bottom: 50px;
    }

    .section-title h2 {
        font-size: 2.5rem;
        margin-bottom: 10px;
    }

    .skills-container {
        display: grid;

        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));

        gap: 25px;
    }


    .skills-card {
        padding: 25px;
        border: 1px solid;
        border-radius: 15px;
        transition: 0.3s;
    }

    .skills-card:hover {
        transform: translateY(-5px);
    }


    .skills-card h3 {
        margin-bottom: 20px;

        font-size: 1.3rem;
    }


    .skills-list {
        display: flex;

        flex-wrap: wrap;

        gap: 10px;
    }

    .skills-list span {
        padding: 8px 14px;

        border: 1px solid;

        border-radius: 30px;

        font-size: 14px;
    }


    @media(max-width:768px) {

        .skills-section {
            padding: 70px 5%;
        }

        .section-title h2 {
            font-size: 2rem;
        }

    }

}














/*===========================================================
/////////////////    user certification       //////////////
===========================================================*/



.certification-section {
    font-family: 'Poppins', sans-serif;

    .certification-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
        gap: 25px;
    }


    .certification-card {
        padding: 25px;
        border: 1px solid;
        border-radius: 15px;
        transition: 0.3s;
    }

    .certification-card:hover {
        transform: translateY(-5px);
    }


    .certification-card span {
        color: #0077ff;
        font-size: 14px;
        font-weight: 600;
    }


    .certification-card h3 {
        margin: 15px 0;
        font-size: 1.3rem;
    }


    .certification-card p {
        line-height: 1.7;
    }

    @media(max-width:768px) {

        .certification-section {
            padding: 70px 5%;
        }

        .section-title h2 {
            font-size: 2rem;
        }

    }
}









/*==========================================================
/////////////    user contact                  ////////////
==========================================================*/



.contact {
    font-family: 'Poppins', sans-serif;


    .max-width p {
        margin-bottom: 50px;
    }

    .contact-box {
        display: flex;
        gap: 30px;
        flex-wrap: wrap;
    }

    .box1 {
        flex: 1 1 400px;
        padding: 25px;
        border: 1px solid;
        border-radius: 20px;
        text-align: start;
    }

    .box1 p {
        line-height: 1.8;
        color: #555;
        margin-bottom: 25px;
    }


    .box1 ul {
        list-style: none;
        padding: 0;
    }

    .box1 ul li {
        margin-bottom: 15px;
        font-weight: 600;
    }

    .box1 ul li span {
        font-weight: 400;
    }


    #contactForm {
        display: flex;
        flex-direction: column;
        gap: 18px;
    }


    .box,
    .boxs {
        width: 100%;
        padding: 15px;
        border: 1px solid;
        border-radius: 12px;
        outline: none;
        font-size: 15px;
        font-family: 'Poppins', sans-serif;
        box-sizing: border-box;
    }

    .boxs {
        min-height: 140px;
        resize: vertical;
    }



    @media(max-width:768px) {

        .contact {
            padding: 70px 5%;
        }

        .contact h2 {
            font-size: 2rem;
        }

    }

}












/* --------------------------------------------------------------------- */